const nav = document.querySelector('.scroll');

window.onscroll = function () {
	'use strict';
	const top = window.scrollY;
	if (top >= 5) {
		nav.classList.add('scrolled');
	} else {
		nav.classList.remove('scrolled');
	}
};

lastScrollTop = 0;

window.addEventListener("scroll", () => {
	const scrollTop = window.pageYOffset || document.createElement.scrollTop;
	if (scrollTop > lastScrollTop) {
		nav.style.top = "-50%";
		navMenu.classList.remove('open');
		navLinks.classList.remove('menu');
	} else {
		nav.style.top = "0";
	}
	lastScrollTop = scrollTop;
});

const navMenu = document.querySelector('.start-menu'),
	navLinks = document.querySelector('.nav-links');

navMenu.addEventListener('click', () => {
	navMenu.classList.toggle('open');
	navLinks.classList.toggle('menu');
});